%define name	netacct-mysql
%define version	0.75
%define release	3mdk

Summary:	Network traffic accounting daemon
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		System/Servers
URL:		http://netacct-mysql.sourceforge.net/
Source0:	%{name}-%{version}.tar.bz2
Patch0:		%{name}-initscript.patch.bz2
Patch1:		%{name}-%{version}pl2.diff.bz2
PreReq:		rpm-helper
Requires:	libmysql12 libpcap0
BuildRequires:	libmysql12-devel libpcap0-devel zlib-devel
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
Traffic Accounting Daemon with mysql support Network traffic
accounting daemon which stores data in mysql. Support for per hour
statistics, peering/international traffic accounting.

%prep
%setup -q
%patch0 -p0
%patch1 -p1

%build
%serverbuild
%configure
%make

%install
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

# don't fiddle with the initscript!
export DONT_GPRINTIFY=1

make DESTDIR=%{buildroot} install

install -d -m0755 %{buildroot}%{_initrddir}
install -m0755 contrib/nacctd.redhat %{buildroot}%{_initrddir}/%{name}

%post
%_post_service %{name}

%preun
%_preun_service %{name}

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS CHANGES FAQ INSTALL NEWS README* TODO netacct.sql
%doc contrib/nacctpeering.* contrib/upgrade_database.php
%attr(0755,root,root) %config(noreplace) %{_initrddir}/%{name}
%attr(644,root,root) %config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/nacctpeering
%attr(644,root,root) %config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/naccttab
%{_mandir}/man8/nacctd.8*
%{_mandir}/man8/nacctpeering.8*
%{_sbindir}/nacctd

%changelog
* Wed Mar 12 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.75-3mdk
- fix buildrequires
- add pl2 patch (P1)
- misc spec fixes

* Thu Jan 16 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.75-2mdk
- build release

* Sun Sep 29 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.75-1mdk
- initial cooker contrib

